<?php

namespace App;

use Illuminate\Database\Eloquent\Model;

class OrderService extends Model
{
    //
    protected $table = "serv_orderservice";

    public function detailOrderService()
    {
        return $this->hasMany("App\OrderServiceDetail", "id_nota");
    }

    public function orderserviceBayar()
    {
    	return $this->hasMany("App\OrderserviceBayar", "id_orderservice");
    }

    public function pajakOrderService()
    {
    	return $this->hasMany("App\OrderServicePajak", "id_nota");
    }

    public function dataPenyedia()
    {
        return $this->belongsTo("App\Penyedia", "id_penyedia");
    }

    public function dataLokasi()
    {
        return $this->belongsTo("App\LokasiProduksi", "lokasi");
    }
}
